CHGPASSWD(8)

NAME
chgpasswd - aktualisiert Gruppenpasswörter im Batch-Modus

ÜBERSICHT

chgpasswd [Optionen]

BESCHREIBUNG

Der Befehl chgpasswd liest eine Liste von Gruppenname-Passwort-Paaren von der Standardeingabe. Damit werden Gruppendaten aktualisiert. Jede Zeile muss folgendes Format haben:

Gruppenname:Passwort

Das Passwort wird standardmäßig im Klartext angegeben. Die Standardalgorithmus zur Verschlüsselung ist DES.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

Dieser Befehl ist für den Einsatz in großen Umgebungen vorgesehen, in der viele Konten gleichzeitig erstellt werden müssen.

OPTIONEN

Die Optionen, die vom Befehl chgpasswd unterstützt werden, sind:

-c, --crypt-method
    Definiert die Methode, mit der die Passwörter verschlüsselt werden.

    Die verfügbaren Methoden sind DES, MD5, NONE und SHA256 oder SHA512, soweit Ihre libc sie unterstützt.

-e, --encrypted
    Passwörter werden verschlüsselt angegeben.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-m, --md5
    werwendet zur Verschlüsselung MD5 anstelle von DES, wenn die Passwörter unverschlüsselt angegeben werden

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-s, --sha-rounds
    Verwendet die angegebene Anzahl von Runden, um die Passwörter zu verschlüsseln.

    Ein Wert von 0 bedeutet, dass das System die Standardanzahl der Runden (5000) für die Verschlüsselung verwenden wird.

    Der Mindestwert ist 1000, der Höchstwert 999.999.999.

    Sie können diese Option nur mit den Verschlüsselungsmethoden SHA256 und SHA512 verwenden.

    Standardmäßig wird die Anzahl der Runden mit den Variablen SHA_CRYPT_MIN_ROUNDS und SHA_CRYPT_MAX_ROUNDS in /etc/login.defs definiert.

WARNUNGEN

Achten Sie darauf, dass die Rechte und Umask korrekt vergeben sind, um zu verhindern, dass andere Benutzer unverschlüsselte Dateien lesen können.

Sie sollten darauf achten, dass Passwörter und Verschlüsselungsmethode in Einklage mit der Passwortrichtlinie des Systems stehen.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

ENCRYPT_METHOD (Zeichenkette)
    Damit wird der standardmäßige Verschlüsselungsalgorithmus, mit dem Passwörter verschlüsselt werden, bestimmt (soweit nicht in der Befehlszeile ein Algorithmus angegeben wird).

    Ihm kann einer der folgenden Wert zugewiesen werden: DES (default), MD5, SHA256, SHA512.

    Hinweis: Dieser Parameter überschreibt die Variable MD5_CRYPT_ENAB.

MAX_MEMBERS_PER_GROUP (Zahl)
    Maximale Anzahl von Mitgliedern je Gruppeneintrag. Wenn das Maximum erreicht wird, wird ein weiterer Eintrag in /etc/group (mit dem gleichen Namen, dem gleichen Passwort und der gleichen GID) erstellt.

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

MD5_CRYPT_ENAB (boolesch)
    Legt fest, ob Passwörter mit dem auf MD5 beruhenden Algorithmus verschlüsselt werden. Falls diesem Wert yes zugewiesen ist, werden neue Passwörter mit dem auf MD5 beruhenden Algorithmus verschlüsselt, der zu dem in der aktuellen Veröffentlichung von FreeBSD eingesetzten Algorithmus kompatibel ist. Passwörter können dann beliebig lang sein, auch die Salt-Zeichenketten sind länger. Setzen Sie diesen Wert auf no, wenn Sie verschlüsselte Passwörter auf ein anderes System kopieren möchten, das den neuen Algorithmus nicht versteht. Der Standardwert ist no.

    Dieser Variable geht die Variable ENCRYPT_METHOD und eine Option auf der Befehlszeile, mit der der Verschlüsselungsalgorithmus bestimmt wird, vor.

    Der Einsatz dieser Variable ist veraltet. Sie sollten ENCRYPT_METHOD verwenden.

SHA_CRYPT_MIN_ROUNDS (Zahl), SHA_CRYPT_MAX_ROUNDS (Zahl)
    Wenn ENCRYPT_METHOD auf SHA256 oder SHA512 gesetzt ist, legt dies die Anzahl der Runden von SHA fest, die standardmäßig vom Verschlüsselungsalgorithmus verwendet werden (falls die Anzahl der Runden nicht auf der Befehlszeile angegeben wird).

    Je mehr Runden Sie definieren, umso schwieriger ist es, das Passwort mit sturem Durchprobieren (brute force) zu knacken; umso mehr Rechenleistung wird jedoch auch für die Anmeldung eines Benutzers benötigt.

    Falls Sie nichts angeben, wird libc die Standardanzahl der Runden festlegen (5000).

    Die Werte müssen zwischen 1000-999.999.999 liegen.

    Falls nur der Wert für SHA_CRYPT_MIN_ROUNDS oder SHA_CRYPT_MAX_ROUNDS festgelegt wird, wird dieser Wert verwendet.

    Falls SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, wird der höhere Wert verwendet.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

SIEHE AUCH

gpasswd(1), groupadd(8), login.defs(5).